# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    print('Shutdown scripts')
    for file in ['fwsupdates.vbs','wpkg.bat']:
        remove_shutdown_script(file,'')
        remove_file(makepath(system32,'GroupPolicy', 'Machine', 'Scripts', 'Shutdown', file))

    print('Removing start menu entries')
    remove_file(makepath(start_menu(common=1),'Programs','Startup','chkupd_bgmon.vbs'))
    remove_programs_menu_shortcut('FWS Updates')

    print('Removing desktop shortcut')
    remove_desktop_shortcut('FWS Updates')

    print('Removing %s' % makepath(os.getenv('SYSTEMDRIVE','C:'),'FWSUpdates'))
    if isdir(makepath(os.getenv('SYSTEMDRIVE','C:'),'FWSUpdates')):
        try:
            remove_tree(makepath(os.getenv('SYSTEMDRIVE','C:'),'FWSUpdates'))
        except:
            delete_at_next_reboot(makepath(os.getenv('SYSTEMDRIVE','C:'),'FWSUpdates'))

    print('Removing registry entries')
    for reg in ['FWSUpdates','iPasserelle']:
        if reg_key_exists(HKEY_LOCAL_MACHINE,r'SOFTWARE\%s' % reg):
            run(r'reg delete "HKLM\SOFTWARE\%s" /va /f' % reg)

    print('Remove scheduled task')
    if task_exists('sync_wpkg'):
        delete_task('sync_wpkg')

def session_setup():
    print('Removing FWS UPdates desktop shortcut')
    remove_user_desktop_shortcut('FWS Updates')

def audit():
    for reg in ['FWSUpdates','iPasserelle']:
        if reg_key_exists(HKEY_LOCAL_MACHINE,r'SOFTWARE\%s' % reg):
            print(r'Key HKLM\%s still exists' % reg_key)
            return "ERROR"
    if isdir(makepath(os.getenv('SYSTEMDRIVE','C:'),'FWSUpdates')):
        print(r'%s still exists' % makepath(os.getenv('SYSTEMDRIVE','C:'),'FWSUpdates'))
        return "ERROR"
    if task_exists('sync_wpkg'):
        print('Scheduled task sync_wpkg still exists')
        return "ERROR"
    return "OK"


